summaryrefslogtreecommitdiff
path: root/vera-fonts
diff options
context:
space:
mode:
Diffstat (limited to 'vera-fonts')
-rw-r--r--vera-fonts/qpf-bitstream-vera-sans-mono-50-t5_1.1.oe28
-rw-r--r--vera-fonts/qpf-bitstream-vera-sans-mono-50_1.1.oe27
-rw-r--r--vera-fonts/qpf-bitstream-vera-sans-mono-75-t5_1.1.oe28
-rw-r--r--vera-fonts/qpf-bitstream-vera-sans-mono-75_1.1.oe27
-rw-r--r--vera-fonts/qpf-bitstream-vera_1.10.oe2
-rw-r--r--vera-fonts/ttf-bitstream-vera_1.10.oe2
6 files changed, 112 insertions, 2 deletions
diff --git a/vera-fonts/qpf-bitstream-vera-sans-mono-50-t5_1.1.oe b/vera-fonts/qpf-bitstream-vera-sans-mono-50-t5_1.1.oe
index e69de29bb2..38f0da087a 100644
--- a/vera-fonts/qpf-bitstream-vera-sans-mono-50-t5_1.1.oe
+++ b/vera-fonts/qpf-bitstream-vera-sans-mono-50-t5_1.1.oe
@@ -0,0 +1,28 @@
+DESCRIPTION = "fonts-bitstream-vera-sans-mono-50-t5 is a package \
+containing QPF font files of Bitstream Vera Mono, at the \
+normal line weight (not bold), and rotated 90 degrees, for \
+Qtopia apps in -display Transformed:Rot90 mode."
+SECTION = "opie/fonts"
+PRIORITY = "optional"
+
+SRC_URI = "http://openzaurus.org/mirror/fonts-bitstream-vera-sans-mono-50-t5_1.1.tar.gz"
+
+FILES_${PN} += "/opt"
+
+do_install () {
+ install -d ${D}${palmqtdir}/lib/fonts/
+
+ cd ${WORKDIR}/fonts-bitstream-vera-sans-mono-50-t5_1.1/home/QtPalmtop/lib/fonts/
+
+ for i in *.qpf; do
+ install -m 644 $i ${D}${palmqtdir}/lib/fonts/${i}
+ done
+}
+
+pkg_postinst () {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+set -e
+. /etc/profile
+${sbindir}/update-qtfontdir
+}
diff --git a/vera-fonts/qpf-bitstream-vera-sans-mono-50_1.1.oe b/vera-fonts/qpf-bitstream-vera-sans-mono-50_1.1.oe
index e69de29bb2..6449a0f5f4 100644
--- a/vera-fonts/qpf-bitstream-vera-sans-mono-50_1.1.oe
+++ b/vera-fonts/qpf-bitstream-vera-sans-mono-50_1.1.oe
@@ -0,0 +1,27 @@
+DESCRIPTION = "fonts-bitstream-vera-sans-mono-50 is a package \
+containing QPF font files of Bitstream Vera Mono, at the \
+normal line weight (not bold)."
+SECTION = "opie/fonts"
+PRIORITY = "optional"
+
+SRC_URI = "http://openzaurus.org/mirror/fonts-bitstream-vera-sans-mono-50_1.1.tar.gz"
+
+FILES_${PN} += "/opt"
+
+do_install () {
+ install -d ${D}${palmqtdir}/lib/fonts/
+
+ cd ${WORKDIR}/fonts-bitstream-vera-sans-mono-50_1.1/home/QtPalmtop/lib/fonts/
+
+ for i in *.qpf; do
+ install -m 644 $i ${D}${palmqtdir}/lib/fonts/${i}
+ done
+}
+
+pkg_postinst () {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+set -e
+. /etc/profile
+${sbindir}/update-qtfontdir
+}
diff --git a/vera-fonts/qpf-bitstream-vera-sans-mono-75-t5_1.1.oe b/vera-fonts/qpf-bitstream-vera-sans-mono-75-t5_1.1.oe
index e69de29bb2..18868ddaac 100644
--- a/vera-fonts/qpf-bitstream-vera-sans-mono-75-t5_1.1.oe
+++ b/vera-fonts/qpf-bitstream-vera-sans-mono-75-t5_1.1.oe
@@ -0,0 +1,28 @@
+DESCRIPTION = "fonts-bitstream-vera-sans-mono-75-t5 is a \
+package containing QPF font files of Bitstream Vera Mono, \
+at the bold line weight, and rotated 90 degrees, for \
+Qtopia apps in -display Transformed:Rot90 mode."
+SECTION = "opie/fonts"
+PRIORITY = "optional"
+
+SRC_URI = "http://openzaurus.org/mirror/fonts-bitstream-vera-sans-mono-75-t5_1.1.tar.gz"
+
+FILES_${PN} += "/opt"
+
+do_install () {
+ install -d ${D}${palmqtdir}/lib/fonts/
+
+ cd ${WORKDIR}/fonts-bitstream-vera-sans-mono-75-t5_1.1/home/QtPalmtop/lib/fonts/
+
+ for i in *.qpf; do
+ install -m 644 $i ${D}${palmqtdir}/lib/fonts/${i}
+ done
+}
+
+pkg_postinst () {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+set -e
+. /etc/profile
+${sbindir}/update-qtfontdir
+}
diff --git a/vera-fonts/qpf-bitstream-vera-sans-mono-75_1.1.oe b/vera-fonts/qpf-bitstream-vera-sans-mono-75_1.1.oe
index e69de29bb2..152330aa9f 100644
--- a/vera-fonts/qpf-bitstream-vera-sans-mono-75_1.1.oe
+++ b/vera-fonts/qpf-bitstream-vera-sans-mono-75_1.1.oe
@@ -0,0 +1,27 @@
+DESCRIPTION = "fonts-bitstream-vera-sans-mono-75 is a package \
+containing QPF font files of Bitstream Vera Mono, at the \
+bold line weight."
+SECTION = "opie/fonts"
+PRIORITY = "optional"
+
+SRC_URI = "http://openzaurus.org/mirror/fonts-bitstream-vera-sans-mono-75_1.1.tar.gz"
+
+FILES_${PN} += "/opt"
+
+do_install () {
+ install -d ${D}${palmqtdir}/lib/fonts/
+
+ cd ${WORKDIR}/fonts-bitstream-vera-sans-mono-75_1.1/home/QtPalmtop/lib/fonts/
+
+ for i in *.qpf; do
+ install -m 644 $i ${D}${palmqtdir}/lib/fonts/${i}
+ done
+}
+
+pkg_postinst () {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+set -e
+. /etc/profile
+${sbindir}/update-qtfontdir
+}
diff --git a/vera-fonts/qpf-bitstream-vera_1.10.oe b/vera-fonts/qpf-bitstream-vera_1.10.oe
index a79b3f499b..b26d032407 100644
--- a/vera-fonts/qpf-bitstream-vera_1.10.oe
+++ b/vera-fonts/qpf-bitstream-vera_1.10.oe
@@ -1,5 +1,5 @@
DESCRIPTION = "The Bitstream Vera fonts - QPF Edition"
-SECTION = "fonts"
+SECTION = "opie/fonts"
PRIORITY = "optional"
SRC_URI = "http://openzaurus.org/mirror/vera-qpf_1.10-3.tar.gz"
diff --git a/vera-fonts/ttf-bitstream-vera_1.10.oe b/vera-fonts/ttf-bitstream-vera_1.10.oe
index f423fa0264..64052009d7 100644
--- a/vera-fonts/ttf-bitstream-vera_1.10.oe
+++ b/vera-fonts/ttf-bitstream-vera_1.10.oe
@@ -1,5 +1,5 @@
DESCRIPTION = "The Bitstream Vera fonts - TTF Edition"
-SECTION = "fonts"
+SECTION = "x11/fonts"
PRIORITY = "optional"
SRC_URI = "http://ftp.gnome.org/pub/GNOME/sources/ttf-bitstream-vera/1.10/ttf-bitstream-vera-${PV}.tar.bz2"